Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentType

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentType

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public final class AdjustmentType

extends Object
implements Serializable

Specifies the available adjustment types. Only one object of each type exists.

See Also
  Serialized Form

Field Summary
`static AdjustmentType` | `BASE_PRICE` Deprecated See BEA Commerce product offering
`static int` | `I_BASE_PRICE` Deprecated See BEA Commerce product offering
`static int` | `I_ITEM_TAX` Deprecated See BEA Commerce product offering
`static int` | `I_LINE_DISCOUNT` Deprecated See BEA Commerce product offering
`static int` | `I_ORDER_DISCOUNT` Deprecated See BEA Commerce product offering
`static int` | `I_ORDER_TAX` Deprecated See BEA Commerce product offering
`static int` | `I_SHIPPING` Deprecated See BEA Commerce product offering
`static int` | `I_SHIPPING_BASE_PRICE` Deprecated See BEA Commerce product offering
`static int` | `I_SHIPPING_DISCOUNT` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `ITEM_TAX` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `LINE_DISCOUNT` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `ORDER_DISCOUNT` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `ORDER_TAX` Deprecated See BEA Commerce product offering
`static String` | `S_BASE_PRICE` Deprecated See BEA Commerce product offering
`static String` | `S_ITEM_TAX` Deprecated See BEA Commerce product offering
`static String` | `S_LINE_DISCOUNT` Deprecated See BEA Commerce product offering
`static String` | `S_ORDER_DISCOUNT` Deprecated See BEA Commerce product offering
`static String` | `S_ORDER_TAX` Deprecated See BEA Commerce product offering
`static String` | `S_SHIPPING` Deprecated See BEA Commerce product offering
`static String` | `S_SHIPPING_BASE_PRICE` Deprecated See BEA Commerce product offering
`static String` | `S_SHIPPING_DISCOUNT` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `SHIPPING` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `SHIPPING_BASE_PRICE` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `SHIPPING_DISCOUNT` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `equals(Object object)` Deprecated See BEA Commerce product offering
`int` | `getInt()` Deprecated See BEA Commerce product offering
`static AdjustmentType` | `getObject(String token)` Deprecated See BEA Commerce product offering
`String` | `getString()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_LINE_DISCOUNT

    public static final int I_LINE_DISCOUNT

  Deprecated See BEA Commerce product offering
  integer representing the LINE_DISCOUNT type

  See Also
    Constants Summary

### I_ORDER_DISCOUNT

    public static final int I_ORDER_DISCOUNT

  Deprecated See BEA Commerce product offering
  integer representing the ORDER_DISCOUNT type

  See Also
    Constants Summary

### I_SHIPPING

    public static final int I_SHIPPING

  Deprecated See BEA Commerce product offering
  integer representing the SHIPPING type

  See Also
    Constants Summary

### I_SHIPPING_DISCOUNT

    public static final int I_SHIPPING_DISCOUNT

  Deprecated See BEA Commerce product offering
  integer representing the SHIPPING_DISCOUNT type

  See Also
    Constants Summary

### I_ITEM_TAX

    public static final int I_ITEM_TAX

  Deprecated See BEA Commerce product offering
  integer representing the ITEM_TAX type

  See Also
    Constants Summary

### I_ORDER_TAX

    public static final int I_ORDER_TAX

  Deprecated See BEA Commerce product offering
  integer representing the ORDER_TAX type

  See Also
    Constants Summary

### I_BASE_PRICE

    public static final int I_BASE_PRICE

  Deprecated See BEA Commerce product offering
  integer representing the BASE_PRICE type

  See Also
    Constants Summary

### I_SHIPPING_BASE_PRICE

    public static final int I_SHIPPING_BASE_PRICE

  Deprecated See BEA Commerce product offering
  integer representing the SHIPPING_BASE_PRICE type

  See Also
    Constants Summary

### LINE_DISCOUNT

    public static final AdjustmentType LINE_DISCOUNT

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### ORDER_DISCOUNT

    public static final AdjustmentType ORDER_DISCOUNT

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### SHIPPING

    public static final AdjustmentType SHIPPING

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### SHIPPING_DISCOUNT

    public static final AdjustmentType SHIPPING_DISCOUNT

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### ITEM_TAX

    public static final AdjustmentType ITEM_TAX

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### ORDER_TAX

    public static final AdjustmentType ORDER_TAX

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### BASE_PRICE

    public static final AdjustmentType BASE_PRICE

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### SHIPPING_BASE_PRICE

    public static final AdjustmentType SHIPPING_BASE_PRICE

  Deprecated See BEA Commerce product offering
  object for the LINE_DISCOUNT type

### S_LINE_DISCOUNT

    public static final String S_LINE_DISCOUNT

  Deprecated See BEA Commerce product offering
  string representing the LINE_DISCOUNT type

  See Also
    Constants Summary

### S_ORDER_DISCOUNT

    public static final String S_ORDER_DISCOUNT

  Deprecated See BEA Commerce product offering
  string representing the ORDER_DISCOUNT type

  See Also
    Constants Summary

### S_SHIPPING

    public static final String S_SHIPPING

  Deprecated See BEA Commerce product offering
  string representing the SHIPPING type

  See Also
    Constants Summary

### S_SHIPPING_DISCOUNT

    public static final String S_SHIPPING_DISCOUNT

  Deprecated See BEA Commerce product offering
  string representing the SHIPPING_DISCOUNT type

  See Also
    Constants Summary

### S_ITEM_TAX

    public static final String S_ITEM_TAX

  Deprecated See BEA Commerce product offering
  string representing the ITEM_TAX type

  See Also
    Constants Summary

### S_ORDER_TAX

    public static final String S_ORDER_TAX

  Deprecated See BEA Commerce product offering
  string representing the ORDER_TAX type

  See Also
    Constants Summary

### S_BASE_PRICE

    public static final String S_BASE_PRICE

  Deprecated See BEA Commerce product offering
  string representing the BASE_PRICE type

  See Also
    Constants Summary

### S_SHIPPING_BASE_PRICE

    public static final String S_SHIPPING_BASE_PRICE

  Deprecated See BEA Commerce product offering
  string representing the SHIPPING_BASE_PRICE type

  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated See BEA Commerce product offering

  Returns the string value for this instance.

### getInt

    public int getInt()

  Deprecated See BEA Commerce product offering

  Returns the string value for this instance.

### getObject

    public static AdjustmentType getObject(String token)

  Deprecated See BEA Commerce product offering

  Parameters
    `token` - a string to match to a AdjustmentType object
  Returns
    the AdjustmentType object that corrsponds to the specified string token.

### equals

    public boolean equals(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Returns a hashcode value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved